AurionAI Docs

Update Itsm Provider Config

PUT
/api/v1/configuration/itsm-provider

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://loading/api/v1/configuration/itsm-provider" \  -H "Content-Type: application/json" \  -d '{    "api_base_url": "string",    "capabilities": {      "ticketUrlTemplate": "string"    },    "display_name": "string",    "portal_base_url": "string",    "provider_type": "string"  }'
{
  "api_base_url": "string",
  "capabilities": {
    "hasApprovals": false,
    "hasAssets": false,
    "hasKbArticleCreation": false,
    "hasKbCategories": true,
    "hasKbFolders": true,
    "hasKbSearch": true,
    "hasRequesterSync": true,
    "hasServiceCatalog": true,
    "kbArticleUrlTemplate": "string",
    "kbDestinationType": "folder",
    "serviceRequestUrlTemplate": "string",
    "ticketPortalUrlTemplate": "string",
    "ticketUrlTemplate": "string"
  },
  "connection_status": "unknown",
  "credentials_secret_name": "string",
  "custom_fields": {},
  "default_category": "string",
  "default_group_id": 0,
  "display_name": "string",
  "haloitsm_change_type_id": 0,
  "haloitsm_close_outcome_id": 0,
  "haloitsm_open_status_id": 0,
  "has_stored_credentials": false,
  "last_verified_at": "2019-08-24T14:15:22Z",
  "portal_base_url": "string",
  "provider_config_id": "string",
  "provider_type": "string",
  "runtime_provider_type": "freshservice",
  "updated_at": "2019-08-24T14:15:22Z",
  "version": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}